REGISTER_SOUND_MIDI(9)

NAME
register_sound_midi - register a midi device

SYNOPSIS

int register_sound_midi (struct file_operations * fops, int dev);

ARGUMENTS

fops
    File operations for the driver

dev Unit number to allocate

DESCRIPTION

Allocate a midi device. Unit is the number of the midi device requested. Pass -1 to request the next free midi unit. On success the allocated number is returned, on failure a negative error code is returned.